@white: rgb(255,255,255);

@text_link: rgb(10,132,255);
@text_link_dark: rgb(0,122,255);

@gray_light: rgb(242,242,247);
@gray_light2: rgb(229,229,234);
@gray_light3: rgb(209,209,214);
@gray_light4: rgb(199,199,204);
@gray_light5: rgb(174,174,178);
@gray_light6: rgb(142,142,147);

@gray_dark: rgb(142,142,147);
@gray_dark2: rgb(99,99,102);
@gray_dark3: rgb(72,72,74);
@gray_dark4: rgb(58,58,60);
@gray_dark5: rgb(44,44,46);
@gray_dark6: rgb(28,28,30);

@red: rgb(255,55,95);
@red_dark: rgb(255,45,85);

@green: #4cd964;

@transparent: rgba(0,0,0,0);

@sm_width: 767px;

@import url("../../../common/web/css/local/_fontawesome.less");

//mobile menu hamburger-button 
@import url("../../../common/web/css/local/_partials.less");

.text {
    &-secondary {
        color: @gray_dark2 !important;
    }
    
    &-main {
        color: @gray_dark6 !important;
    }
    
    &-main-2 {
        color: @gray_dark4 !important;
    }

    &-link {
        color: @text_link !important;
    }

    &-red {
	color: @red !important;
    }
}

.b {
    &r-1 {
        border-right: 1px solid @gray_light3;
    }
    
    &l-1 {
        border-left: 1px solid @gray_light3;
    }
    
    &t-1 {
        border-top: 1px solid @gray_light3;
    }
    
    &b-1 {
        border-bottom: 1px solid @gray_light3;
    }
    
    &-1 {
        border: 1px solid @gray_light3;
    }
    
    &-none {
        border: none;
    }
}

.rigth-0 {
    right: 0;
}

.left-0 {
    left: 0;
}

* {
    a {
	&:hover {
            color: @text_link_dark;
            text-decoration: none;
	}
        color: @text_link;
    }
	
    font-family: 'Roboto';
}

.unselectable {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none;   /* Chrome/Safari/Opera */
  -khtml-user-select: none;    /* Konqueror */
  -moz-user-select: none;      /* Firefox */
  -ms-user-select: none;       /* Internet Explorer/Edge */
  user-select: none;           /* Non-prefixed version, currently
                                  not supported by any browser */
}

.br-2 {
    border-radius: 2px;
}

.br-0 {
    border-radius: 0px !important;
}

.outline-none {
    outline: none !important;
    outline-width: 0 !important;
    box-shadow: none !important;
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
}

.popover {
    border-radius: 0;
    border: 1px solid @gray_light3;
    left: 10px !important;
}

.word-break {
    overflow-wrap: break-word;
    word-break: break-word;
}

.text-pre-line {
    white-space: pre-line !important;
}

hr {
   border-top: 1px solid @gray_light3 !important;
}

.vr {
    display: block;
    width: 1px;
    height: 100%;
    background: @gray_dark3;
}

body {
    background: @white;
    line-height: 1.5;
    color: @gray_dark6;
}

html.no-scrolling {
    overflow-y: hidden;
    overflow-x: hidden;
}

.container {
    max-width: @container_max_width;
    position: relative;
}

header {
    width: 100%;
    padding: 5px 0;
    position: relative;
}

main {
    position: relative;
}

header#main-header {
    background: #1c1c1e;
    
    .nav-link {
        color: @gray_light3;
        position: relative;
        outline: none;
        padding-top: 6px;
        padding-bottom: 6px;
        border:none;
        border-radius: 0;
        background: none;
        
        &.active {
            color: @white;
        }
        
        &:after {
            background: none repeat scroll 0 0 transparent;
            bottom: 0;
            content: "";
            display: block;
            height: 2px;
            left: 50%;
            position: absolute;
            background: @white;
            transition: width 0.3s ease 0s, left 0.3s ease 0s;
            width: 0;
        }
        
        &:hover {
            color: @white;
        }
        
        &:hover:after, &.active:after {
            width: 100%;
            left: 0;
        }
    }
    
    .vr {
        margin: calc((52px - 36px)/2) 0;
        height: 36px;
    }
    
    .dropdown-menu {
        font-size: 16px;
        box-shadow: 0px 0px 10px 3px rgba(0, 0, 0, 0.15);
        background: @white;
        border: none;
        border-radius: 2px;
            
        .dropdown-item {
            white-space: normal;
            padding: 0.25rem 1rem;
            &:hover {
                background-color: @gray_light2;
            }
        }
    }
}

#header-logo-image {
   // background-size: auto 20px;
 //   background-repeat: no-repeat;
//    background-position: left center;
    width: 100%;
    height: 60px;
    padding: 8px 0;
}

#header-menu {
    position: fixed;
    width: calc(100% - 50px);
    height: calc(100% - 70px);
    left: 50px;
    top: 71px;
    background: @gray_light;
    border-left: 1px solid @gray_light3;
    z-index: 2900;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.16), 0 2px 0 1px rgba(0, 0, 0, 0.08);
    transition: left 0.3s;
    overflow-x: hidden;
    overflow-y: scroll;
    
    ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
        
        li {
            padding: 0.5rem 2rem;
            
            &:hover {
                background: @gray_light2;
            }
            
            &:hover a {
                color: @text_link_dark;
            }
            
            a {
                color: @gray_dark6;
            }
        }
    }
    
    &.hidden-navbar {
        left:100%;
    }
}

#header-menu.hidden-navbar ~ #main, #header-menu.hidden-navbar ~ #footer {
    right: 0;
}

#header-menu ~ #main, #header-menu ~ #footer {
    right: calc(100% - 50px);
    transition: right 0.3s;
}

section#main-post-cv {
    color: @gray_dark6;
    
    a.btn.btn-link {
        display: flex;
        align-items: center;
        justify-content: center;
        height: 100%;
        min-height: 50px;
        width: 100%;
        padding: 0;
        margin: 0;
        text-align: center;
        font-size: 18px;
        background: @gray_light;
        border-radius: 0;
        border: 1px solid @gray_light4;
        text-decoration: none;
        color: @gray_dark6;
        &:hover {
            background: @gray_light2;
        }
    }
}

#search-form-suggestions-container {
    padding: 3px;
    
    .form-group-suggestions {
        background: @white;
        border-radius: 2px;
        position: absolute;
        width: 100%;
        /*min-height: 300px;*/
        z-index: 1060;
        overflow: hidden;
        transition: height .35s ease;
    }
}

#form-group-suggestions-container {    
    .form-group-suggestions {
        background: @white;
        border-radius: 2px;
        /*min-height: 300px;*/
        width: 100%;
        margin: 0;
        
        overflow: hidden;
        transition: height .35s ease;
    }
}

@keyframes searchFormSuggestionsCollapsing {
  0%   {opacity: 0;}
  100% {opacity: 1;}
}


section#main-categories {
    text-align: center;
    background: @gray_light;
    .tabs-container {
        .tab {
            border: 1px solid @gray_light4;
            border-bottom: 0;
            background: @white;
            color: @gray_dark2;
            
            &:hover {
                color: @gray_dark6;
                background-color: @gray_light;
            }
            
            p {
                margin-bottom: 0;
                margin-top: 1rem;
            }
        }
    }
    .tab-content-container {
        border: 1px solid @gray_light4;
        background: @white;
    }
}
